GroovyDoc (Groovy 5.1.0)

Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyDoc

-     public interface GroovyDoc
      extends Comparable

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `commentText()`
    `` | `public String` | `firstSentenceCommentText()`
    `` | `public String` | `getRawCommentText()`
    `` | `public boolean` | `isAnnotationType()`
    `` | `public boolean` | `isAnnotationTypeElement()`
    `` | `public boolean` | `isClass()`
    `` | `public boolean` | `isConstructor()`
    `` | `public boolean` | `isDeprecated()`
    `` | `public boolean` | `isEnum()`
    `` | `public boolean` | `isEnumConstant()`
    `` | `public boolean` | `isError()`
    `` | `public boolean` | `isException()`
    `` | `public boolean` | `isField()`
    `` | `public boolean` | `isIncluded()`
    `` | `public boolean` | `isInterface()`
    `` | `public boolean` | `isMethod()`
    `` | `public boolean` | `isOrdinaryClass()`
    `` | `public boolean` | `isRecord()`
    `` | `public String` | `name()`
    `` | `public void` | `setRawCommentText(String arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Comparable` | `compareTo`

- - ### Method Detail

    - #### public String commentText()

    - #### public String firstSentenceCommentText()

    - #### public String getRawCommentText()

    - #### public boolean isAnnotationType()

    - #### public boolean isAnnotationTypeElement()

    - #### public boolean isClass()

    - #### public boolean isConstructor()

    - #### public boolean isDeprecated()

    - #### public boolean isEnum()

    - #### public boolean isEnumConstant()

    - #### public boolean isError()

    - #### public boolean isException()

    - #### public boolean isField()

    - #### public boolean isIncluded()

    - #### public boolean isInterface()

    - #### public boolean isMethod()

    - #### public boolean isOrdinaryClass()

    - #### public boolean isRecord()

    - #### public String name()

    - #### public void setRawCommentText(String arg0)